<script lang="ts">
	import { page } from '$app/stores';
	import { Nav, NavItem, MenuItem, MenuSection, DropMenu, NavSection } from '@higenku/theme';

	let url: string;

	$: url = $page.url.pathname;

	let dropTarget: HTMLElement;
</script>

<Nav title="Higenku" logo="/favicon.jpg">
    <NavSection>
        <NavItem href="/aboutus" active={url == '/aboutus'} rel="_self">About us</NavItem>
        <NavItem href="/projects" active={url == '/projects'} rel="_self">Projects</NavItem>
        <NavItem href="/donations" active={url == '/donations'} rel="_self">Donate</NavItem>
        <NavItem href="/support" active={url == '/support'} rel="_self">Support</NavItem>
        <NavItem href="/acknowledgments" active={url == '/acknowledgments'} rel="_self">
            Acknowledgments
        </NavItem>
    </NavSection>

    

	<NavItem bind:ref={dropTarget}>More</NavItem>
</Nav>

<DropMenu target={dropTarget}>
	<MenuSection>
		<MenuItem href="https://user.higenku.org">Account</MenuItem>
		<MenuItem href="https://store.higenku.org">Store</MenuItem>
		<MenuItem href="https://community.higenku.org">Community</MenuItem>
		<MenuItem href="https://docs.higenku.org">Docs</MenuItem>
		<MenuItem href="https://suite.higenku.org">Suite</MenuItem>
		<MenuItem href="https://gitlab.com/higenku">Gitlab</MenuItem>
	</MenuSection>
</DropMenu>
